type Declarations = Record<string, string | number | null | undefined>;
export declare class CssRules {
    #private;
    constructor(rootClass: string, classTranslator?: (className: string) => string);
    addRaw(selector: string, declarations: Declarations): void;
    addConditional(rootClassNameCondition: string, classNames: string | string[], declarations: Declarations): void;
    add(classNames: string | string[], declarations: Declarations): void;
    toString(): string;
}
export {};
