import type { ComposedRange, InputRange } from "../types";
type InRangeResult = {
    readonly result: false;
} | {
    readonly result: true;
    from: number;
    to: number;
};
export declare function inRange(item: {
    from: number;
    to: number;
}, range: {
    from: number;
    to: number;
} | null): InRangeResult;
export declare function excludeFromRange<T extends {
    from: number;
    to: number;
}>(range: T, holes: {
    from: number;
    to: number;
}[]): T[];
export declare function composeRanges(ranges: InputRange[]): ComposedRange[];
export {};
