import { type LinkedToken, type LinkedNode } from "../lib/link";
export declare class NodeSource {
    #private;
    constructor(items?: Iterable<LinkedNode>, debug?: boolean);
    use(item: LinkedNode): void;
    free(item: LinkedNode): void;
    query(query: {
        type?: string;
        hash?: number;
    }): LinkedNode[];
    drain(): LinkedToken[];
    isEmpty(): boolean;
    static matches(query: {
        type?: string;
        hash?: number;
    }, item: LinkedNode): boolean;
}
