import { type Token, type Node } from "../../../types";
import { Document } from "./Document";
import { Language } from "../..";
export declare function createNode(proto: {
    sx?: number;
    sy?: number;
    ex?: number;
    ey?: number;
    type: string;
    context: string[];
    content: (Node | Token)[];
}): Node;
export declare function finalizeNode(node: Node, depth: number): void;
export declare function readTokens(document: Document, language: Language, from: number, to: number, holes: {
    from: number;
    to: number;
}[], type: string, context: string[]): Token[];
type ChunkFn = (text: string, from: number) => {
    text: string;
    from: number;
}[];
export declare function readChunkedTokens(document: Document, language: Language, from: number, to: number, holes: {
    from: number;
    to: number;
}[], type: string | ((text: string) => string), context: string[], chunkFn?: ChunkFn): Token[];
export declare function toGenericTextNode(fine: boolean, type: string, from: number, to: number, document: Document, language: Language, context: string[]): Node;
export declare function toCStyleLineCommentNode(type: string, from: number, to: number, document: Document, language: Language, context: string[]): Node;
export declare function toCStyleBlockCommentNode(type: string, from: number, to: number, document: Document, language: Language, context: string[]): Node;
export declare function toGenericStringNode(type: string, from: number, to: number, holes: {
    from: number;
    to: number;
}[], // important for interpolations
document: Document, language: Language, context: string[]): Node;
export declare function toHTMLStyleCommentNode(type: string, from: number, to: number, document: Document, language: Language, context: string[]): Node;
export declare function wrapInnerContent(input: Node, type?: string, elementsLeft?: number, elementsRight?: number): Node;
export {};
