import type { InputRange, LanguageDefinition, Node } from "../types";
export type Language = "css" | "javascript" | "plaintext" | "typescript" | "html" | "json";
export declare const SUPPORTED_LANGUAGES: ReadonlySet<Language>;
export declare const languages: Record<Language, LanguageDefinition>;
export declare function applyLanguage(code: string, inputRanges: InputRange[], language: Language): Node[];
