import { type Coords, type ExtendedDiffOp, type Node, type Token, type DiffOp, type Decoration } from "../types";
export declare function printToken({ text, type, hash, range, sx, sy }: Token, coords?: boolean, padText?: number, padType?: number): string;
export declare function printTrace(trace: Map<number, DiffOp<Coords>>): string;
export declare function flattenNode(node: Node): Token[];
export declare function printNodeContent(...nodes: Node[]): void;
export declare function stringifyNodeContent(...nodes: Node[]): string;
export declare function printOp(op: ExtendedDiffOp<Token> | ExtendedDiffOp<Decoration>, mode: "short" | "long"): string;
