import { type Node, type Token } from "../types";
export type LinkedNode = Omit<Node, "content"> & {
    prevNode: LinkedNode | null;
    prevToken: LinkedToken | null;
    nextNode: LinkedNode | null;
    nextToken: LinkedToken | null;
    parent: LinkedNode | null;
    content: (LinkedNode | LinkedToken)[];
};
export type LinkedToken = Token & {
    prevNode: LinkedNode | null;
    prevToken: LinkedToken | null;
    nextNode: LinkedNode | null;
    nextToken: LinkedToken | null;
    parent: LinkedNode;
};
export declare function link(items: Node[]): LinkedNode[];
