import type { Coords } from "../types";
export declare function coordsEql(a: Coords, b: Coords): boolean;
export declare function sortByPositionCallback(a: {
    sx: number;
    sy: number;
}, b: {
    sx: number;
    sy: number;
}): number;
export declare function sortNodesCallback<T extends {
    size: number;
    hash: number;
}>(a: T, b: T): -1 | 0 | 1;
export declare function toClassName(number: number): string;
export declare const createIdGenerator: <V>() => ((key: V) => string);
